﻿Type=StaticCode
Version=0.1
B4J=true
@EndOfDesignText@

Sub Process_Globals
	Private fx As JFX
End Sub
'Adding Tags to Scene Builder uing a style class TAG:{name}
'This subroutine with extract the Tag and add t to the Nodes Tag field within B4J
'Requires a list of Nodes: For layouts loaded to MainForm.RootPane it is obtainable as 
'
'MainForm.RootPane.GetAllViewsRecursive
Sub ExtractTags(NodeList As Object)
	
	For Each N As Node In NodeList
		For Each SC As String In N.StyleClasses
			If SC.ToLowerCase.StartsWith("tag:") Then
				Try
					N.Tag=SC.SubString(4)
				Catch
					Log("SLUtils ExtractTags : Error assigning Tag to Node :"&N)
				End Try
			End If
		Next
	Next

End Sub
'Find All Nodes with the TAG field value of TAG
'Requires a list of Nodes: For layouts loaded to MainForm.RootPane it is obtainable as 
'
'MainForm.RootPane.GetAllViewsRecursive
Sub FindAllNodesFromTag(NodeList As Object,TAG As String) As List
	Dim Found As List
	Found.Initialize
	For Each N As Node In NodeList
		If N.TAG = TAG Then Found.Add(N)
	Next
	Return Found
End Sub